Skip to main content
Version: Next

Get invoice serial list

GET /<provider>/get-invoice-serials

API used to get the list of registered invoice serials.

Headers

NameRequiredDescription
AuthorizationBearer token
Content-Typeapplication/json
X-Tax-CodeBusiness tax code.

Query Parameters

NameRequiredDescription
inv_typeNot sent: retrieve all. Invoice type 1: VAT invoice, 2: Sales invoice, 3: Public asset sale invoice, 4: National reserve goods sale invoice, 5: Stamps/tickets/cards, 6: Delivery note (cum internal transport, consignment to agent).
staxSeller tax code (required for Viettel).

Response

NameDescription
data[].yearCurrent year (last 2 digits)
data[].inv_typeInvoice type
data[].valueInvoice serial value
data[].inv_type_nameInvoice serial description
data[].template_codeInvoice template serial (Viettel)
curl --location 'https://stag-invoice-hub.1invoice.vn/1Invoice/get-invoice-serials?inv_type=1' \
--header 'authorization: Bearer <token>' \
--header 'x-tax-code: 0106026495-998'